{% extends 'base.html'%}{% load markdownify%} {% block content%}
<main>
  <div>
    <h1>{{project.name}}</h1>
    {{project.description|markdownify}}
    <h2>{{project.tasks.all|length}}</h2>
    <p>
      <a href="{% url 'create_task' %}">Create a new task</a>
      <a class="projectBar" href="{% url 'edit_project' project.id %}"
        >Edit Project</a
      >
      <a href="{% url 'delete_project' project.id %}">Delete Project</a>
    </p>
    {%if project.tasks.all%}
    <table>
      <thead>
        <tr>
          <th>Task</th>
          <th>Assignee</th>
          <th>Start date</th>
          <th>Due date</th>
          <th>Notes</th>
          <th>Is completed</th>
        </tr>
      </thead>
      <tbody>
        {% for task in project.tasks.all%}
        <tr>
          <td>
            <a href="{% url 'details_task' task.pk%}">{{task.name}}</a>
            <br /><br />
          </td>
          <td>{{task.assignee}}<br /><br /></td>
          <td>{{task.start_date}}<br /><br /></td>
          <td>{{task.due_date}}<br /><br /></td>
          <td>{{task.notes}}<br /><br /></td>
          <td>{% if task.is_completed%} Done {% endif %}</td>
        </tr>
        {% endfor %}
      </tbody>
    </table>
    {% else %}
    <p>This project has no tasks</p>
    {% endif %}
  </div>
</main>
{%endblock content%}
